Bug 1018269 - Add a warning that the ejb-security-interceptor quickstart use private API
Add a warning that the ejb-security-interceptor quickstart use private API
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER6
: EAP 6.2.0
Assigned To: sgilda
Vladimir Rastseluev
:
Depends On:
Blocks: 1018271
  Show dependency treegraph
 
Reported: 2013-10-11 11:17 EDT by sgilda
Modified: 2014-01-12 19:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1018271 (view as bug list)
Environment:
Last Closed: 2013-12-15 11:48:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sgilda 2013-10-11 11:17:10 EDT
Description of problem:

The ejb-security-interceptors quickstart was introduced in EAP 6.1.1. It uses private classes. 

A new public API was introduced in 6.2 that broke this quickstart.

Per Brian Stansberry's suggestion:
* They will restore the 2 classes and commit to maintain them for 6.x
* They will not mark the modules public because they aren't and this doesn't justify changing that
* They willwe come up with a plan for a proper API in WF and 6.3 and we deprecate these once we do.

We need to add a warning to the quickstart that it uses a private API that will be deprecated and replaced in EAP 6.3.

Some suggestions from Pete:

"The two classes XXX are part of the <JBoss EAP> private API. They will be maintained for the duration of EAP 6.x. We plan to introduce a public API in EAP 6.3, and encourage you to update to the public API when available. Check the EAP 6.3 release notes for info on the public API"

they can *use* it

you should add to the statement i wrote "Note that the current API (two class names) will be deprecated in EAP 6.3, but continue to be available during the EAP 6.x series


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 sgilda 2013-10-11 11:20:24 EDT
Created against the wrong product.
Comment 2 sgilda 2013-10-11 14:34:22 EDT
Added this note in the readme:
This quickstart uses two classes, org.jboss.as.controller.security.SubjectUserInfo and org.jboss.as.domain.management.security.RealmUser, that are part of the JBoss EAP private API. A public API will become available in the EAP 6.3 release and the private classes will be deprecated, but these classes will be maintained and available for the duration of the EAP 6.x release cycle.

Added a comment for each import:
// The following class is part of the JBoss private API and will be deprecated in the next release.

Fixed in this pull: https://github.com/jboss-developer/jboss-eap-quickstarts/pull/678
Comment 3 sgilda 2013-10-11 15:30:32 EDT
Also reverted back to the private API calls.

Fixes are in this commit: 
https://github.com/jboss-developer/jboss-eap-quickstarts/commit/281277703cc14ea200352217409d56027f3432ec
Comment 4 Vladimir Rastseluev 2013-10-18 06:48:18 EDT
Verified on EAP 6.2 ER6

Note You need to log in before you can comment on or make changes to this bug.